#
# spec file for package perl-IO-Compress
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name IO-Compress
Name:           perl-IO-Compress
Version:        2.213.0
Release:        1.4
# 2.213 -> normalize -> 2.213.0
%define cpan_version 2.213
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        IO Interface to compressed data files/buffers
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/P/PM/PMQS/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Compress::Raw::Bzip2) >= 2.213
BuildRequires:  perl(Compress::Raw::Zlib) >= 2.213
Requires:       perl(Compress::Raw::Bzip2) >= 2.213
Requires:       perl(Compress::Raw::Zlib) >= 2.213
Provides:       perl(Compress::Zlib) = 2.213
Provides:       perl(File::GlobMapper) = 1.001
Provides:       perl(IO::Compress) = %{version}
Provides:       perl(IO::Compress::Adapter::Bzip2) = 2.213
Provides:       perl(IO::Compress::Adapter::Deflate) = 2.213
Provides:       perl(IO::Compress::Adapter::Identity) = 2.213
Provides:       perl(IO::Compress::Base) = 2.213
Provides:       perl(IO::Compress::Base::Common) = 2.213
Provides:       perl(IO::Compress::Bzip2) = 2.213
Provides:       perl(IO::Compress::Deflate) = 2.213
Provides:       perl(IO::Compress::Gzip) = 2.213
Provides:       perl(IO::Compress::Gzip::Constants) = 2.213
Provides:       perl(IO::Compress::RawDeflate) = 2.213
Provides:       perl(IO::Compress::Zip) = 2.213
Provides:       perl(IO::Compress::Zip::Constants) = 2.213
Provides:       perl(IO::Compress::Zlib::Constants) = 2.213
Provides:       perl(IO::Compress::Zlib::Extra) = 2.213
Provides:       perl(IO::Uncompress::Adapter::Bunzip2) = 2.213
Provides:       perl(IO::Uncompress::Adapter::Identity) = 2.213
Provides:       perl(IO::Uncompress::Adapter::Inflate) = 2.213
Provides:       perl(IO::Uncompress::AnyInflate) = 2.213
Provides:       perl(IO::Uncompress::AnyUncompress) = 2.213
Provides:       perl(IO::Uncompress::Base) = 2.213
Provides:       perl(IO::Uncompress::Bunzip2) = 2.213
Provides:       perl(IO::Uncompress::Gunzip) = 2.213
Provides:       perl(IO::Uncompress::Inflate) = 2.213
Provides:       perl(IO::Uncompress::RawInflate) = 2.213
Provides:       perl(IO::Uncompress::Unzip) = 2.213
Provides:       perl(U64)
Provides:       perl(Zlib::OldDeflate)
Provides:       perl(Zlib::OldInflate)
%undefine       __perllib_provides
%{perl_requires}

%description
This is a stub module. It contains no code.

%prep
%autosetup  -n %{cpan_name}-%{cpan_version}

find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -path "*/scripts/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
# MANUAL BEGIN
# Avoid file conflicts with perl core
mv %{buildroot}/usr/bin/streamzip %{buildroot}/usr/bin/streamzip-%{version}
mv %{buildroot}/usr/bin/zipdetails %{buildroot}/usr/bin/zipdetails-%{version}
mv %{buildroot}/usr/share/man/man1/streamzip.1 %{buildroot}/usr/share/man/man1/streamzip-%{version}.1
mv %{buildroot}/usr/share/man/man1/zipdetails.1 %{buildroot}/usr/share/man/man1/zipdetails-%{version}.1
# MANUAL END
%perl_gen_filelist

%files -f %{name}.files
%doc Changes examples README

%changelog
* Sat Aug 31 2024 Tina Müller <timueller+perl@suse.de>
- updated to 2.213.0 (2.213)
  see /usr/share/doc/packages/perl-IO-Compress/Changes
    2.213 28 August 2024
  * version 2.213
    Wed Aug 28 16:06:42 2024 +0100
    020520f78490bf1a6b7351febd16fc19f351ddfe
  * add perl5.40 to workflows
    Sun Jun 16 16:56:37 2024 +0100
    6d7dd85763f7cd0894a890208156187b8cac6597
  * #57 Add stub moduile IO/Compress.pm
    Sat May 25 08:53:57 2024 +0100
    c6a05a69d62b8169d482d1b30a333b0cec4f5a06
* Sun Jun 23 2024 Tina Müller <tina.mueller@suse.com>
- updated to 2.212.0 (2.212)
  see /usr/share/doc/packages/perl-IO-Compress/Changes
    2.212 27 April 2024
  * no functional changes
    2.211 6 April 2024
  * version 2.211
    Sat Apr 6 14:14:55 2024 +0100
    1276339652e8df49a29facd9ee1ae41d9c7dc994
    2.208 31 March 2024
  * Update zipdetails to version 4.002
    Sun Mar 31 11:52:11 2024 +0100
    f6610e32bfd5459483a193ef80cebd7cdc6092dd
  * #56 cz-14gzopen.t fails on AFS filesystem
    Wed Mar 6 11:59:54 2024 +0000
    68dcf0aceeaec5491a61c8102968b3f004435ee8
    2.207 18 February 2024
  * Add bin/zipdetails 4.000
  * Merge pull request #51 from rwp0/rwp0/fix-indirect-syntax
    Thu Nov 23 12:17:30 2023 +0000
    f1c70d0ef8ed7a91daae6a3ea6b10dc486db4463
  * Fix indirect syntax
    Mon Nov 6 13:23:07 2023 +0100
    7bd8408ef428024985e39f1275875a5f0812fbbf
* Wed Jul 26 2023 Tina Müller <timueller+perl@suse.de>
- updated to 2.206
  see /usr/share/doc/packages/perl-IO-Compress/Changes
    2.206 25 July 2023
  * 2.206
    Tue, 25 Jul 2023 16:37:44 +0100
    6f00921ce36a80f6b507402cee71e9f3a9cc406d
  * Merge branch 'master' of https://github.com/pmqs/IO-Compress
    Sat, 22 Jul 2023 20:22:41 +0100
    d561922b964796e94c94c89f69550de5b95fb342
  * Merge pull request #50 from haarg/fix-version-check
    Sat, 22 Jul 2023 19:13:38 +0100
    9d4f8755024db3bc16a628fa736680cd6f0b90ab
  * fix version checks to use correct method
    Fri, 21 Jul 2023 18:36:29 +0200
    c60f5c619f9a8c3038428724a01c6722e51e37a7
  * drop rt.cpan from SUPPORT section
    Tue, 18 Jul 2023 09:19:52 +0100
    02fc4ab0b2c9c30c7014238f20bf02e2857d4c52
    2.205 16 July 2023
  * 2.205
    Sun, 16 Jul 2023 20:26:06 +0100
    5f8450648f1915451b0a7ccdd551ec84e18cb05c
  * add perl 5.38
    Thu, 13 Jul 2023 11:13:24 +0100
    1dc60a0d48e74f3b707dc4f5c1f0b7b8bf54b10b
  * add on workflow_dispatch
    Fri, 9 Jun 2023 16:25:09 +0100
    f99b28e94b29446a60e2f91c762a0f407d7725d4
  * Add some OO examples
    Fri, 9 Jun 2023 16:18:54 +0100
    45457e70f8ad202196f20305ae4f8ee48e3cbded
* Thu Feb  9 2023 Tina Müller <timueller+perl@suse.de>
- updated to 2.204
  see /usr/share/doc/packages/perl-IO-Compress/Changes
    2.204 8 February 2022
  * Update Gzip.pm
    https://github.com/pmqs/IO-Compress/pull/49
    6d0514b86ceeab56884c43fd1e6f09f839c12b74
    feab074420bf4059eb6fa9d0553a354e2dd33e95
  * Allow Z_NULL
    https://github.com/pmqs/Compress-Raw-Zlib/issues/17
    c42da1483767bc8afbdb2d8b03ecda7b67b4d022
* Sun Jun 26 2022 Tina Müller <timueller+perl@suse.de>
- updated to 2.201
  see /usr/share/doc/packages/perl-IO-Compress/Changes
    2.201 25 June 2022
  * Disable zib header tests
    Sat Jun 25 09:10:59 2022 +0100
    63eb5d37291b40dbf07d191a09b7876168008cd4
  * Version 2.201
    Sat Jun 25 09:00:42 2022 +0100
    af51310f68bb225d94eaa29b7f3d2bece1935dfd
  * doc update https://github.com/pmqs/IO-Compress/issues/38
    Thu Jun 23 23:00:31 2022 +0100
    2002d4fd3b3a6f5de6c6c3dc5989cf42581c1758
  * Changes for zlib-ng
    Thu Jun 23 22:43:50 2022 +0100
    2bd52d2918823cc567c3e92dd3d15f87cb4ee8f8
  * Add perl 5.36
    Sun Jun 5 13:34:18 2022 +0100
    ede55370ed4c7eb3c66abc71bc25c7e4019b4c44
  * force streaming zip file when writing to stdout https://github.com/pmqs/IO-Compress/issues/42
    Sun Apr 24 19:43:19 2022 +0100
    b57a3f83f404f5a24242680de5b406cfcf5c03ac
  * read zip timestamp in localtime
    Sun Apr 24 13:11:58 2022 +0100
    0c838f43dc46f292714c82145c9add9932196b01
  * streamzip: tighten up version tests for failing windows tests https://github.com/pmqs/IO-Compress/issues/41
    Sun Apr 24 12:49:57 2022 +0100
    3497645228235ea12c4d559d6dedd4cef47fc94a
  * streamzip: update year
    Sun Apr 24 12:11:35 2022 +0100
    0ac0d1ef603d8854ffc35976196735b663764992
  * Use Time::Local instead of  POSIX::mktime
    Tue Apr 19 11:31:43 2022 +0100
    64a106f1119cbc7dec8db52dca016bb8baacf2d4
    2.106 12 April 2022
  * bin/zipdetails
    sync 2.104 from https://github.com/pmqs/zipdetails
    Tue Apr 12 15:39:59 2022 +0100
    3fe7b8788ab816bebddfdfbb1462d3f439c6b2f1
* Wed Apr 13 2022 Tina Müller <timueller+perl@suse.de>
- updated to 2.106
  see /usr/share/doc/packages/perl-IO-Compress/Changes
    2.105 9 April 2022
  * remove WeakDecrypt
    95892a68780426909b75b4f3d465ff02e630834e
    5b41f06a271267ef984a971047987b65ba197dd4
    2.104 9 April 2022
  * Sync zipdetails 2.100 from https://github.com/pmqs/zipdetails
    95c19c89b72441b76294ce93f4acf7c5cea63565
  * Update date in README
    6b40bd67ee3c295085380cb6c321abf230b481df
  * WeakDecrypt should not be listed in MANIFEST
    https://github.com/pmqs/IO-Compress/issues/39
    9e85a8bff391481d1005547cb51c11e02e4a5768
  * Update versions to 2.104
    cec4bcd8c3e8bef5708f7b5064e5048a02e8179f
    cec4bcd8c3e8bef5708f7b5064e5048a02e8179f
    2.103 3 April 2022
  * Update version to 2.103
    97f1893892eccac69b3a8033378b0b44d7c4f3ab
  * Fix for inflateSyncs retrurn code change
    4843e22285bf8e52c9b5b913d167a1545995c793
  * Add constant for ZIP_CM_AES
    91be04dd8dc2848e3c25b87ec498cf8ccc34187a
  * Point links to rfcs to ietf.org
    https://github.com/pmqs/IO-Compress/pull/37
    a8f28b36cf4d77df1cfa0516867012425920a62f
  * Rename test file to fix manifest warning
    https://github.com/pmqs/IO-Compress/pull/36
    955244f9ac0654d7e8d54115162da53c85d7178c
  * Add perl 5.34
    06f41883f62ed1b88b03c246b16e0b5ef72503bc
  * Fix for Calling nextStream on an IO::Uncompress::Zip object in Transparent mode dies when input is uncompressed
    https://github.com/pmqs/IO-Compress/issues/34
    b0f93fe62f84b7d4d4bb8d2ea8e6d5432887103f
  * IO::Compress: Generalize for EBCDIC
    https://github.com/pmqs/IO-Compress/pull/32
    90b51dbbd785e2c824cb0a93feef3b3dd5d075f2
  * IO::Compress: Fix misspelling in 112utf8-zip.t
    c22216b5d3202dce01ef17a271252f82520a6ab9
  * Revert "Always have full zip64 entry in central directory"
    7df4c9bc98667bc1afd1b4bc5a27d20f94e3cd9c
  * Always have full zip64 entry in central directory
    333648ee1dece6eb220060c7ec09806f6ebb9866
  * update cpanm path on MacOS
    33079902934885c515768a08d72e89243a5d01a9
* Mon Mar  1 2021 Tina Müller <timueller+perl@suse.de>
- updated to 2.102
  see /usr/share/doc/packages/perl-IO-Compress/Changes
    2.102 28 February 2021
  * Add IO_COMPRESS_SKIP_STDIN_TESTS to skip tests on Windows
    https://github.com/pmqs/IO-Compress/issues/29
    b0b511ec6a7dcfa4e372a8b8131767fcb39369b1
* Sun Feb 21 2021 Tina Müller <timueller+perl@suse.de>
- updated to 2.101
  see /usr/share/doc/packages/perl-IO-Compress/Changes
    2.101 20 February 2021
  * fix version numbers in meta files
* Mon Jan 18 2021 Frank Schreiner <FSchreiner@suse.com>
- added post_install section to avoid file conflicts with perl core
* Fri Jan  8 2021 Tina Müller <timueller+perl@suse.de>
- updated to 2.100
  see /usr/share/doc/packages/perl-IO-Compress/Changes
    2.100 7 January 2021
  * bin/zipdetails version 2.02
    7556eba2e174e77d8cdd914b27be1b63e0830d29 update to version 2.02
    237e9e52f26b7de92398513aa79e8153e65184e6 more fixes for defalte bitmask
    b03cddfa5c73984eb802fed1c7ad19f43b6522cc fix bitmask for deflate compression level
  * trim whitespace
    6f5af76d71de1f9d3d1af79dca2f945c318d4e82
    878f24f8a2de69ccb6d99e6f62ac9eaa89818476
  * some POD updates for zstd
    1466d8ade3618a6779bd86e1feba81bbe1c6b7c6
  * Fix warnings once in multiple locations
    https://github.com/pmqs/IO-Compress/pull/27
    fdf9958972ab34609c3dce33cb5014ca3a197e82
  * Avoid duplicate use statements
    https://github.com/pmqs/IO-Compress/pull/26
    11b34f5738187c4bf73aafd243e317c0748553ce
  * Avoid using indirect calls
    https://github.com/pmqs/IO-Compress/pull/19
    29a7c586f7adf9d029715d55de31382fd27e8ed3
    d7a4f6e5af9f9b400f8f84cf38b4d74f4702b4e0
* Tue Aug  4 2020 Dirk Stoecker <opensuse@dstoecker.de>
- updated to 2.096
  see /usr/share/doc/packages/perl-IO-Compress/Changes
* Sun Dec  8 2019 <timueller+perl@suse.de>
- updated to 2.093
  see /usr/share/doc/packages/perl-IO-Compress/Changes
    2.093 7 December 2019
  * No changes
* Thu Dec  5 2019 <timueller+perl@suse.de>
- updated to 2.092
  see /usr/share/doc/packages/perl-IO-Compress/Changes
    2.092 4 December 2019
  * No changes
* Mon Nov 25 2019 <timueller+perl@suse.de>
- updated to 2.091
  see /usr/share/doc/packages/perl-IO-Compress/Changes
    2.091 23 November 2019
  * 000prereq.t: Drop LZMA Module as optional
  * 011streamzip.t: Fixes for 5.6
* Sun Nov 10 2019 <timueller+perl@suse.de>
- updated to 2.090
  see /usr/share/doc/packages/perl-IO-Compress/Changes
    2.090 9 November 2019
  * MANIFEST error for streamzip
    https://github.com/pmqs/IO-Compress/issues/6
* Mon Nov  4 2019 <timueller+perl@suse.de>
- updated to 2.089
  see /usr/share/doc/packages/perl-IO-Compress/Changes
    2.089 3 November 2019
  * bin/streamzip
    Add zipstream to EXE_FILES
    https://github.com/pmqs/IO-Compress/issues/5
    2.088 31 October 2019
  * t/105oneshot-zip-only.t
    Fix reset of CompSize
  * Add Support Details
  * Update site for Bzip2 to sourceware
  * Fix number of tests
  * Add streamzip script to bin
  * zipdetails
  * Update zipdetails to version 1.11
  * Zip64 extra field typo
  * t/105oneshot-zip-only.t
    test with deflated directory
  * t/105oneshot-zip-only.t
    Add test for encrypted Zip files
  * Documentation Updates
    https://github.com/pmqs/IO-Compress/issues/2
  * Mention xz, lzma etc
    https://github.com/pmqs/IO-Compress/issues/4
* Sun Aug 11 2019 Stephan Kulow <coolo@suse.com>
- updated to 2.087
  see /usr/share/doc/packages/perl-IO-Compress/Changes
    2.087 10 August 2019
  * IO::Uncompress::Unzip
    nextStream not updating filehandle correctly
    https://github.com/pmqs/IO-Compress/issues/3
  * Added travis & appveyor files for CI in GitHub
* Wed Apr  3 2019 Stephan Kulow <coolo@suse.com>
- updated to 2.086
  see /usr/share/doc/packages/perl-IO-Compress/Changes
    2.086 31 March 2019
  * IO::Compress::Zip & IO::Uncompress::Unzip
    Added support for Language Encoding Flag via the EFS option.
    Starting point was pull request https://github.com/pmqs/IO-Compress/pull/1
  * zipdetails - some support for MVS (Z390) zip files
  * IO::Uncompress::Base
    Issue with trailing data after zip archive
    [#128626] for IO-Compress: mainframe zip archive
  * t/cz-14gzopen.t
    cperl error found in http://www.cpantesters.org/cpan/report/448cafc4-3108-11e9-9b6b-d3d33d7b1231
    Perl has this: "Not enough arguments for Compress::Zlib::gzopen"
    cperl uses this: "Not enough arguments for subroutine entry Compress::Zlib::gzopen"
  * Handlers being called when optional modules are not installed
    [#128538]:  $SIG{__DIE__}
  * #128194: Beef up diag when system returns error
  * Moved source to github https://github.com/pmqs/IO-Compress
  * Add META_MERGE to Makefile.PL
  * Added meta-json.t & meta-yaml.t
* Mon Jan  7 2019 Stephan Kulow <coolo@suse.com>
- updated to 2.084
  see /usr/share/doc/packages/perl-IO-Compress/Changes
    2.084 5 January 2019
  * IO::Uncompress::AnyUncompress.pm
    Added support for IO::Uncompress::Zstd and IO::Uncompress::UnLzip
* Mon Dec 31 2018 Stephan Kulow <coolo@suse.com>
- updated to 2.083
  see /usr/share/doc/packages/perl-IO-Compress/Changes
    2.083 30 December 2018
  * IO::Compress::*
  * IO::Uncompress::*
    The BinModeIn and BinModeOut options in are now no-ops.
    ALL files will be read/written in binmode.
  * IO::Uncompress::Unzip
    Fixed issue with unziping a member from a streamed zip file.
    Issue triggered by a libreoffice document.
    Test added to 105oneshot-zip-only.t
    Thanks to Fabrizio Pivari for the bug report.
  * Added U64::isZero
  * bin/zipdetails
    Added 'Data Stream Alignment' (tag 0xa11e) to extra fields.
    Field sourced from https://support.pkware.com/display/PKZIP/Proposed+ZIP+Format+Specification+Additions
  * Compress::Zlib.pm
    [#125140]: Tiny POD error in Compress::Zlib
* Sat Apr 21 2018 coolo@suse.com
- updated to 2.081
  see /usr/share/doc/packages/perl-IO-Compress/Changes
    2.081 4 April 2018
  * previous release used $^W instead of use warnings. Fixed.
    2.080 2 April 2018
  * bin/zipdetails
    [#124003]: zipdetails SYNOPSIS section got a typo: zipdetaile-> zipdetails
  * IO::Uncompress::Base.pm
    Changes for Archive::Zip::SimpleUnzip
  * bin/zipdetails
    Fix issues with zip64 archives.
  * bin/zipdetails
    Cope with zip archives where there is padding data after the compressed payload.
    Example is Microsoft appx file.
  * File::GlobMapper
    [#120580]: File::GlobMapper::$VERSION needs increment; trailing whitespace
  * t/cz-03zlib-v1.t
    valgrind errors fixed in Compress::Raw::Zlib 2.0.75 for issue #121074
    [#121076]: uninitialized errors from valgrind
* Wed Mar  1 2017 coolo@suse.com
- updated to 2.074
  see /usr/share/doc/packages/perl-IO-Compress/Changes
    2.074 19 Feb 2017
  * Fix bad 2.073 release
    2.073 18 Feb 2017
  * #120239: [PATCH] ISA fixes for c3
* Mon Feb 13 2017 coolo@suse.com
- updated to 2.072
  see /usr/share/doc/packages/perl-IO-Compress/Changes
    2.072 12 Feb 2017
  * Makefile.PL
    [#120084]: Need Fix for Makefile.PL depending on . in @INC
  * Makefile.PL
    [#120084]: Need Fix for Makefile.PL depending on . in @INC
* Fri Dec 30 2016 coolo@suse.com
- updated to 2.070
  see /usr/share/doc/packages/perl-IO-Compress/Changes
    2.070 28 Dec 2016
  * File::GlobMapper
    [#117675]: Fix prototype errors while lazy loading the module
  * zipdetails
    [#116538]: CVE-2016-1238: avoid loading optional modules from default .
* Wed Jan 13 2016 coolo@suse.com
- updated to 2.069
  see /usr/share/doc/packages/perl-IO-Compress/Changes
    2.069 26 Sept 2015
  * IO::Compress::FAQ
  - Added a section of bgzip
    RT #103295: IO::Compress Feature request
  * IO::Compress::Zip
  - Zip64 needs to be first in extra field to workaround a Windows Explorer Bug
    See http://www.info-zip.org/phpBB3/viewtopic.php?f=3&t=440 for details
* Wed Dec 24 2014 jw@owncloud.com
- update to 2.068 2.068 23 Dec 2014
  * Disable running of some of the slower test harnesses by default.
    COMPRESS_ZLIB_RUN_MOST needs set to run them. Make life more
    bearable on legacy platforms
- 2.067 8 Dec 2014
  * RT #100257: IO::Compress::RawDeflate unnecessarily loads IO::Seekable
- 2.066 21 Sept 2014
  * RT #95494: IO::Uncompress::Gunzip: Can no longer gunzip to in-memory file handle
- 2.064 1 February 2014
  * RT #90216: IO-Compress/t/050interop-gzip.t: Use android-compatible
    flags when calling gzip
- 2.062 11 August 2013
  * RT#87335: [PATCH] Fix up tests for imminent bleadperl changes
  * RT#84647: typo fixes
- 2.061 19 May 2013
  * RT#84647: unzip example with IO::Uncompress::Unzip
- 2.060 7 January 2013
  * IO::Compress::Base Remove the flush call when opening a filehandle.
- 2.059 10 December 2012
  * IO::Compress::Base Added "Encode" option.
    Fixes the encoding half of RT# 42656. Decode is still TODO
- 2.058 12 November 2012
  * RT# 81119: Latest IO::Compress 2.057 fails tests on 5.8.x
- 2.057 10 November 2012
  * IO::Compress::Zip Allow member name & Zip Comment to be "0"
  * IO::Compress::Base::Common Remove "-r" test - the file open will catch this.
    RT# 80855: IO::Compress::Base::Common returns that it cannot read readable files in NFS
  * General Performance improvements.
- 2.055 5 August 2012
  * Compress::Zip speed up compress, uncompress, memGzip & memGunzip.
    [RT# #77350: Compress::Zlib::uncompress() is slowed down needlessly by parameter validation
* Mon Jun 25 2012 chris@computersalat.de
- update to 2.052
  * IO::Compress::Zip
    Force a ZIP64 archive when it contains >= 0xFFFF entries.
  * Typos in POD
    [RT# #76130: Gunzip Pod typo in OO section: $$output instead of $$input
- 2.049 18 February 2012
  * IO::Compress::Zip
    Error in t/cz-03zlib-v1.t that caused warnings with 5.15
    [RT# 110736: warnings from cpan/IO-Compress/t/cz-03zlib-v1.t]
- 2.048 29 January 2012
  * Set minimum zlib version to 1.2.0
  * IO::Compress test suite fails with Compress::Raw::Zlib 2.047
    and zlib < 1.2.4
    [RT# 74503]
- 2.047 28 January 2012
  * Set minimum Perl version to 5.6
  * IO::Compress::Zip
  - In one-shot zip, set the Text Flag if "-T" thinks the file is a
    text file.
  - In one-shot mode, wrote mod time & access time in wrong order
    in the "UT" extended field.
- 2.046 18 December 2011
  * Minor update to bin/zipdetails
  * Typo in name of IO::Compress::FAQ.pod
  * IO::Uncompress::Unzip
  - Example for walking a zip file used eof to control the outer
    loop. This is wrong.
  * IO::Compress::Zip
  - Change default for CanonicalName to false.
    [RT# 72974]
- 2.045 3 December 2011
  * Restructured IO::Compress::FAQ.pod
- 2.044 2 December 2011
  * Moved FAQ.pod under the lib directory so it can get installed
  * Added bin/zipdetails
  * IO::Compress::Zip
  - In one-shot mode enable Zip64 mode if the input file/buffer
    >= 0xFFFFFFFF bytes.
  * IO::Compress::FAQ
  - Updates
- 2.043 20 November 2011
  * IO::Compress::Base
  - Fixed issue that with handling of Zip files with two (or more)
    entries that were STORED. Symptom is the first is uncompressed
    ok, but the next will terminate early if the size of the file is
    greater than BlockSize.
    Regression test added to t/006zip.t
    [RT# 72548]
- 2.042 17 November 2011
  * IO::Compress::Zip
  - Added exUnixN option to allow creation of the "ux" extra field.
    This allows 32-bit UID/GID to be stored.
  - In one-shot mode use exUnixN rather than exUnix2 for the UID/GID.
  * IO::Compress::Zlib::Extra::parseExtraField
  - Fixed bad test for length of ID field
    [RT# 72329 & #72505]
- 2.040 28 October 2011
  * t/105oneshot-zip-only.t
  - CanonicalName test failure on Windows
    [RT# 68926]
  * IO::Compress::Zip
  - ExtAttr now populates MSDOS attributes
- 2.039 28 October 2011
  * IO::Compress::Zip
  - Added CanonicalName option.
    Note this option is set to true by default.
  - Added FilterName option
  * IO::Unompress::Base
  - Fixed issue where setting $\ would corrupt the uncompressed data.
    Thanks to Steffen Goeldner for reporting the issue.
  * t/050interop-*.t
  - Handle case when external command contains a whitespace
    RT #71335
- 2.037 22 June 2011
  * IO::Uncompress
  - get globmapper tests working on VMS
    [RT# 68926]
  * IO::Uncompress::Unzip
  - Fixed limitation where Streamed Stored content was not supported.
- fix License to be in spdx format
* Mon Jun 20 2011 jw@novell.com
- update to 2.036
  * IO::Compress::Zip & IO::Uncompress::Unzip
    Added support for LZMA (method 14) compression/uncompresion.
  * IO::Compress::Unzip
    Fixed CRC issue when compression is Store or Bzip2 and Strict option is set.
  * IO::Compress::Zip
    Fixed Zip64 issue where the content size is exactly 0xFFFFFFFF
- this update also requires version updates of
  Compress::Raw::Bzip2 and Compress::Raw::Zlib, although there is no/not much change
  in these packages.
* Sun Jun  5 2011 lars@linux-schulserver.de
- update to 2.035:
  * RT #67931: Test failure on Windows
- adapt dependencies to new version
* Wed May  4 2011 coolo@opensuse.org
- updated to 2.034
  * Compress::Zlib
  - Silence pod warnings.
    [RT# 64876]
  - Removed duplicate words in pod.
  * IO::Compress::Base
  - RT #56942: Testsuite fails when being run in parallel
  - Reduce symbol import - patch from J. Nick Koston
  - If the output buffer parameter passed to read has a value of
    undef, and Append mode was specified when the file was opened,
    and eof is reached, then the buffer paramer was left as undef.
    This is different from when Append isn't specified - the buffer
    parameter is set to an empty string.
  - There area couple of issues with reading a file that contains an
    empty file that is compressed.
    Create with -- touch /tmp/empty; gzip /tmp/empty.
    Issue 1 - eof is not true immediately. Have to read from the file
    to trigger eof.
    Issue 2 - readline incorrectly returns an empty string the first
    time it is called, and (correctly) undef thereafter.
    [RT #67554]
* Tue Jan 11 2011 jw@novell.com
- update to 2.033
    Fixed typos & spelling errors. [perl# 81816]
* Mon Jan 10 2011 jw@novell.com
- update to 2.032
    Bugfixes.  [RT #61915] and others.
* Fri Jun 25 2010 jw@novell.com
- version 2.027 new package,
  hacking our way into a conflict with perl itself: bnc#617621
